/*
    Global
*/

p.form-element.form-error {
  BACKGROUND-COLOR: #f2dede;
  PADDING-TOP: 20PX;
  PADDING-BOTTOM: 20PX;
  PADDING-LEFT: 10PX;
  PADDING-RIGHT: 10PX;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

/****************************/
/*    loading animations    */
/****************************/
#apploader {
    text-align: center;
    font-size: 16px;
    margin-top: 100px;
    padding-bottom: 70px;
    /* background: url(images/loading-medium.gif) no-repeat bottom center;*/
}

#loading-block-ui {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999999;
}

    #loading-block-ui div:first-child {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0; /*background-color: #000; -ms-opacity: .2; opacity: .2;*/
    }

    #loading-block-ui div:last-child {
        position: absolute;
        top: 50%;
        left: 50%;
        height: 200px;
        width: 300px;
        margin: -100px 0 0 -150px;
        /*background: url(images/loading-medium.gif) no-repeat center center;*/
        background-color: #fff;
        border: 1px solid #ccc;
        -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
        box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
        text-align: center;
    }

        #loading-block-ui div:last-child h3 {
            margin: 20px 0 0 0;
        }

/*
Navbar classes
*/



#toprightmenu {
    text-align: left;
}

.navbar-collapse {
    max-height: 650px;
}

.navbar-rs {
}

#mobile-header {
    height: 30px;
    border-radius: 0 !important;
    background: url('../images/bg-nav.png') no-repeat 50% 50%;
    background-size: 100%;
}

#main-nav {
    border-radius: 0 !important;
    background: url('../images/bg-nav.png') no-repeat 50% 50%;
    background-size: 100%;
}

    #main-nav a {
        color: #fff;
        display: inline-block;
    }

@media (min-width:1285px) {
    #main-nav i {
        margin-right: 5px;
    }

    #main-nav li {
        display: table-cell;
        padding: 0 20px;
        font: 16px/67px FrutigerR, Arial, Helvetica, sans-serif;
    }

    #main-nav .fa {
        font-size: 26px;
        margin-right: 10px;
        vertical-align: sub;
    }

    #main-nav a {
        color: #fff;
        display: inline-block;
    }
}

@media (max-width:768px) {
    #main-nav {
        border-radius: 0 !important;
        background: white !important;
    }

        #main-nav a {
            color: black;
            display: inline-block;
        }
}

.navbar .navbar-nav {
    display: inline-block;
    float: none;
}

.navbar .navbar-collapse {
    text-align: center;
}



.navbar-form .input-group {
    margin: 0 auto;
}

#search-container {
    width: 50%;
    margin: 0 auto;
}

.clientLogo {
    border-right: 2px solid #e3e4e6;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 60px;
}


/* Scroll to top*/
.scrollToTop {
    width: 50px;
    height: 50px;
    padding: 10px;
    text-align: center;
    background: whiteSmoke;
    font-weight: bold;
    color: #444;
    text-decoration: none;
    position: fixed;
    bottom: 85px;
    right: 5px;
    display: none;
    font-size: x-large;
}

    .scrollToTop:hover {
        text-decoration: none;
    }


/*
 Helper Classes
*/

.table tr {
    height: 45px;
}

.clear-search input[type=text] {
    border-right: none;
}

.clear-search .btn {
    background: transparent;
    border-top: 1px solid #e5e5e5;
    border-right: 1px solid #e5e5e5;
    border-bottom: 1px solid #e5e5e5;
}

.center-img {
    text-align: center;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.clickable {
    cursor: pointer;
}

.text-center {
    text-align: center;
}

.width-11 {
    width: 11%;
}

.page-header {
    padding-bottom: 10px;
    margin: 0 0 30px 0;
    border-bottom: none;
    background-color: #ebebeb !important;
}

    .page-header.row {
        margin-left: -15px;
        margin-right: -15px;
    }

    .page-header h1,
    .page-header h2,
    .page-header h3,
    .page-header h4,
    .page-header h5,
    .page-header h6 {
        margin: 0;
        color: #555555;
    }

    .page-header small {
        font-size: 15px;
        letter-spacing: 0px;
        font-weight: 100;
    }

.hidden {
    display: none !important;
}

.no-border {
    border: none !important;
}

.border-t {
    border-top: 1px solid #ddd;
}

.border-lrb {
    border-bottom: 1px solid #ddd;
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
    border-top: none !important;
}

.bs-example {
    margin-right: 0;
    margin-left: 0;
    background-color: #fff;
    border: 1px solid #ddd;
    padding: 5px;
    border-width: 1px;
    border-radius: 4px 4px 0 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    overflow: auto;
}

.border-shadow {
    border: 1px solid #ddd;
    box-shadow: 3px 3px 1px #a9a9a9;
}

.highlight {
    padding: 9px 14px;
    margin-bottom: 14px;
    background-color: #f7f7f9;
    border: 1px solid #e1e1e8;
    border-radius: 4px;
}

.right-divider {
    border-right: 1px solid #333;
}

.left-divider {
    border-left: 1px solid #333;
}

.pad-left5 {
    padding-left: 5px;
}

.pad-left15 {
    padding-left: 15px;
}

.padding-all30 {
    padding: 30px;
}

.padding-all35 {
    padding: 35px;
}

.margin-left5 {
    margin-left: 5px;
}

.margin-left10 {
    margin-left: 10px;
}

.margin-top5 {
    margin-top: 5px !important;
}

.margin-top7 {
    margin-top: 7px !important;
}

.margin-top10 {
    margin-top: 10px !important;
}

.margin-top15 {
    margin-top: 15px !important;
}

.margin-top17 {
    margin-top: 17px !important;
}

.margin-top30 {
    margin-top: 30px !important;
}

.margin-bottom5 {
    margin-bottom: 5px !important;
}

.margin-bottom7 {
    margin-bottom: 7px !important;
}

.margin-bottom10 {
    margin-bottom: 10px !important;
}

.margin-bottom15 {
    margin-bottom: 15px !important;
}

.margin-bottom17 {
    margin-bottom: 17px !important;
}

.margin-bottom30 {
    margin-bottom: 30px !important;
}

.remove-margin-bottom {
    margin-bottom: 0 !important;
}

.remove-margin-top {
    margin-top: 0 !important;
}

.remove-padding {
    padding: 0 !important;
}

.pad-top {
    padding-top: 15px !important;
}

.full-width {
    width: 100% !important;
}

.full-height {
    height: 100% !important;
}

.background-white {
    background-color: white !important;
}

.margin-botom {
    margin-bottom: 25px !important;
}

.margin-all15 {
    margin: 15px !important;
}

.margin-right30 {
    margin-right: 30px !important;
}

.error-template {
    padding: 40px 15px;
    text-align: center;
}

.error-actions {
    margin-top: 15px;
    margin-bottom: 15px;
}

    .error-actions .btn {
        margin-right: 10px;
    }

.animated-short {
    -webkit-transition: all ease-out .5s !important;
    -moz-transition: all ease-out .5s !important;
    -ms-transition: all ease-out .5s !important;
    -o-transition: all ease-out .5s !important;
    transition: all ease-out .5s !important;
}

    .animated-short.ng-hide {
        opacity: 0;
    }


.animated-very-short {
    -webkit-transition: all ease-out 0.333s !important;
    -moz-transition: all ease-out 0.333s !important;
    -ms-transition: all ease-out 0.333s !important;
    -o-transition: all ease-out 0.333s !important;
    transition: all ease-out 0.333s !important;
}

.animated-long {
    -webkit-transition: all ease-out 1.0s !important;
    -moz-transition: all ease-out 1.0s !important;
    -ms-transition: all ease-out 1.0s !important;
    -o-transition: all ease-out 1.0s !important;
    transition: all ease-out 1.0s !important;
}

/*Login page*/
.signin input[type="text"] {
    margin-bottom: 5px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.signin .form-control {
    position: relative;
    font-size: 16px;
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
    height: auto;
    padding: 10px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.vertical-offset-100 {
    padding-top: 100px;
}

.img-responsive {
    display: block;
    max-width: 100%;
    height: auto;
    margin: auto;
}


/* Dashboard*/

#dashboardDropDown li {
    margin-left: 30px;
}


@media (max-width: 1299px) {
    .chart {
        width: 350px;
        height: 300px;
    }
}

@media (min-width: 1300px ) {


    .chart {
        height: 300px;
        width: 500px;
    }
}

@media (max-width: 1200px ) {

    .keep-front {
        z-index: 1000;
    }
}

@media (max-width: 430px ) {
    .keep-front {
        z-index: 1000;
    }

    .chart {
        height: 300px;
        width: 250px;
    }
}

.to-do-btn {
    color: #333333;
    background-color: transparent;
    border-color: #e5e5e5;
    border-radius: 0;
    display: inline-block;
    margin-bottom: 0;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    white-space: nowrap;
    font-size: 14px;
    line-height: 1.43;
    border-radius: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


/*new job*/

#newJobLandingPage .k-grid table tr:hover td {
    background: #eef4f8;
    border-top: 2px solid #bfddf2;
    border-bottom: 2px solid #bfddf2;
}

    #newJobLandingPage .k-grid table tr:hover td:first-child {
        box-shadow: inset 2px 0 0 0 #bfddf2;
    }

    #newJobLandingPage .k-grid table tr:hover td:last-child {
        box-shadow: inset -2px 0 0 0 #bfddf2;
    }


/*Overrides*/

.select2-hidden-accessible {
    display: none;
}

a.select2-choice {
    border-radius: 0 !important;
    background-image: none !important;
    height: 34px !important;
    line-height: 34px !important;
}

span.select2-arrow {
    background-color: white !important;
    background-image: none !important;
    border-left: none !important;
    border-radius: 0 !important;
}

.big-progress {
    height: 50px;
}

.question-addon {
    background: none;
    border: none;
}

.align-for-question-addon {
    margin-right: 37px;
}

.fa-stack {
    font-size: xx-small;
}


.checkbox label:after,
.radio label:after {
    content: '';
    display: table;
    clear: both;
}

.checkbox .cr,
.radio .cr {
    position: relative;
    display: inline-block;
    border: 1px solid #a9a9a9;
    border-radius: .25em;
    width: 1.3em;
    height: 1.3em;
    float: left;
    margin-right: .5em;
}

.radio .cr {
    border-radius: 50%;
}

    .checkbox .cr .cr-icon,
    .radio .cr .cr-icon {
        position: absolute;
        font-size: .8em;
        line-height: 0;
        top: 50%;
        left: 20%;
    }

.checkbox label input[type="checkbox"],
.radio label input[type="radio"] {
    display: none;
}

    .checkbox label input[type="checkbox"] + .cr > .cr-icon,
    .radio label input[type="radio"] + .cr > .cr-icon {
        transform: scale(3) rotateZ(-20deg);
        opacity: 0;
        transition: all .3s ease-in;
    }

    .checkbox label input[type="checkbox"]:checked + .cr > .cr-icon,
    .radio label input[type="radio"]:checked + .cr > .cr-icon {
        transform: scale(1) rotateZ(0deg);
        opacity: 1;
    }

    .checkbox label input[type="checkbox"]:disabled + .cr,
    .radio label input[type="radio"]:disabled + .cr {
        opacity: .5;
    }


.table > tbody > tr > td, .table > tfoot > tr > td {
    vertical-align: middle;
}

/*kendo Override*/

.k-grid-header {
    padding: 0;
    background-color: white;
    border-color: transparent;
}

.k-grid tbody tr:hover {
    /*background: #8b0000;
    color: white;*/
}

.k-menu-vertical {
    /*
        Kedno filter menu dropdown
    */
    background: #e8e8e8;
}

.k-state-selected.k-state-focused {
    /*
        this is for the first menu options on kendo table filter
    */
    background: #f1f1f1;
    color: lightskyblue !important;
    border-color: #c5c5c5 !important;
    border-right: none;
    box-shadow: none;
}

.k-state-active, .k-state-active:hover, .k-active-filter, .k-tabstrip .k-state-active {
    border-color: #c5c5c5;
}

.k-pager-nav:hover {
}

.k-pager-numbers .k-link, .k-treeview .k-in {
    border-color: #c5c5c5;
    padding-left: 5px;
    padding-right: 5px;
}

span.k-state-selected {
    padding-left: 7px;
    padding-right: 7px;
}

.k-pager-nav.k-pager-first {
    border-radius: 0;
}

.k-pager-wrap .k-pager-nav.k-pager-last {
    border-radius: 0;
}

.k-grid, .k-scheduler, .k-menu, .k-editor {
    border-radius: 0;
}

    .k-state-selected, .k-state-selected:link, .k-state-selected:visited, .k-list > .k-state-selected, .k-list > .k-state-highlight, .k-panel > .k-state-selected, .k-ghost-splitbar-vertical, .k-ghost-splitbar-horizontal, .k-draghandle.k-state-selected:hover, .k-scheduler .k-scheduler-toolbar .k-state-selected, .k-scheduler .k-today.k-state-selected, .k-marquee-color {
        background: #f1f1f1;
        color: lightskyblue !important;
        border-color: #c5c5c5 !important;
        border-right: none;
    }

        .k-state-selected > .k-link, .k-panelbar > li > .k-state-selected, .k-panelbar > li.k-state-default > .k-link.k-state-selected {
            color: lightskyblue !important;
        }

    .k-block, .k-button, .k-textbox, .k-drag-clue, .k-touch-scrollbar, .k-window, .k-window-titleless .k-window-content, .k-window-action, .k-inline-block, .k-grid .k-filter-options, .k-grouping-header .k-group-indicator, .k-autocomplete, .k-multiselect, .k-combobox, .k-dropdown, .k-dropdown-wrap, .k-datepicker, .k-timepicker, .k-colorpicker, .k-datetimepicker, .k-notification, .k-numerictextbox, .k-picker-wrap, .k-numeric-wrap, .k-colorpicker, .k-list-container, .k-calendar-container, .k-calendar td, .k-calendar .k-link, .k-treeview .k-in, .k-editor-inline, .k-tooltip, .k-tile, .k-slider-track, .k-slider-selection, .k-upload {
        border-radius: 0;
    }

.k-primary, .k-overflow-container .k-primary {
    background-image: none !important;
    background-color: lightskyblue !important;
    color: white;
    border-color: lightskyblue !important;
    border-radius: 0;
}

.k-button:focus:active:not(.k-state-disabled):not([disabled]) {
    -webkit-box-shadow: inset 0 0 3px 4px lightskyblue;
    box-shadow: inset 0 0 3px 4px lightskyblue;
}

.k-button:active:hover, .k-button.k-state-active:hover {
    color: #fff;
    border-color: lightskyblue;
    background-color: lightskyblue;
}

.k-button:active:after, .k-button.k-state-active:after {
    color: #fff;
    border-color: lightskyblue;
    background-color: lightskyblue;
}

.k-grid {
    border-left: none;
    border-right: none;
    border-bottom: none;
    border-top: none;
}

.k-grid-header-wrap {
    border-top: 1px solid #c5c5c5;
    border-right: none;
}

.k-grid > .k-grid-pager {
    margin-top: 10px;
    margin-bottom: 10px;
    background: white;
    border-top: none;
}

.k-grid table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
}

.k-grid tr:last-child td:last-child {
    -moz-border-radius-bottomright: 0px;
    -webkit-border-bottom-right-radius: 0px;
    border-bottom-right-radius: 0px;
}

.k-grid table tr:first-child td:first-child {
    -moz-border-radius-topleft: 0px;
    -webkit-border-top-left-radius: 0px;
    border-top-left-radius: 0px;
}

.k-grid table tr:first-child td:last-child {
    -moz-border-radius-topright: 0px;
    -webkit-border-top-right-radius: 0px;
    border-top-right-radius: 0px;
}

.k-grid tr:last-child td:first-child {
    -moz-border-radius-bottomleft: 0px;
    -webkit-border-bottom-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.k-grid tr:hover td {
}

.k-grid tr:nth-child(odd) {
    background-color: #f1f1f1;
}

.k-grid tr:nth-child(even) {
    background-color: #ffffff;
}

.k-grid td {
    vertical-align: middle;
    border: 1px solid #000000;
    border-width: 0px 1px 1px 0px;
    text-align: left;
    padding: 12px;
    font: 14px/16px FrutigerR, Arial, Helvetica, sans-serif;
    color: #000000;
}

.k-grid tr:last-child td {
    border-width: 0px 1px 0px 0px;
}

.k-grid tr td:last-child {
    /*border-width: 0px 0px 1px 0px;*/
}

.k-grid tr:last-child td:last-child {
    border-width: 0px 0px 0px 0px;
}

.k-grid thead tr:first-child th {
    background: white;
    padding: 14px 7px 15px 7px;
    border-right: 1px solid #e5e5e5;
    font: 14px/16px FrutigerB, Arial, Helvetica, sans-serif;
    border-bottom: none;
}

    .k-grid thead tr:first-child th:last-child {
        border-right: none !important;
    }

.k-grid tr:first-child:hover td {
    /*background: -o-linear-gradient(bottom, #cccccc 5%, #cccccc 100%);
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #cccccc), color-stop(1, #cccccc) );
    background: -moz-linear-gradient( center top, #cccccc 5%, #cccccc 100% );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#cccccc", endColorstr="#cccccc");
    background: -o-linear-gradient(top,#cccccc,cccccc);
    background-color: #cccccc;*/
}

.k-grid tr:first-child td:first-child {
    /*border-width: 0px 0px 1px 0px;*/
}

.k-grid tr:first-child td:last-child {
    /*border-width: 0px 0px 1px 1px;*/
}


/** Job Approval **/


.header-row--mobile {
    margin-left: -32px !important;
    margin-right: -32px !important;
    z-index: 1000;
}

.active-step {
}

.inactive-step {
    background-color: #eee !important;
}

.btn-white {
    background-color: white;
    border: 1px solid #eee;
}


.btn-breadcrumb .btn:not(:last-child):after {
    content: " ";
    display: block;
    width: 0;
    height: 0;
    border-top: 17px solid transparent;
    border-bottom: 17px solid transparent;
    border-left: 10px solid white;
    position: absolute;
    top: 50%;
    margin-top: -17px;
    left: 100%;
    z-index: 3;
}

.btn-breadcrumb .btn:not(:last-child):before {
    content: " ";
    display: block;
    width: 0;
    height: 0;
    border-top: 17px solid transparent;
    border-bottom: 17px solid transparent;
    border-left: 10px solid rgb(173, 173, 173);
    position: absolute;
    top: 50%;
    margin-top: -17px;
    margin-left: 1px;
    left: 100%;
    z-index: 3;
}



/** The Spacing **/
.btn-breadcrumb .btn {
    padding: 6px 12px 6px 24px;
}

    .btn-breadcrumb .btn:first-child {
        padding: 6px 6px 6px 10px;
    }

    .btn-breadcrumb .btn:last-child {
        padding: 6px 18px 6px 24px;
    }

    /** Default button **/
    .btn-breadcrumb .btn.btn-white:not(:last-child):after {
        border-left: 10px solid #fff;
    }

    .btn-breadcrumb .btn.btn-white:not(:last-child):before {
        border-left: 10px solid #ccc;
    }

    .btn-breadcrumb .btn.btn-white:hover:not(:last-child):after {
        /* border-left: 10px solid #ebebeb;*/
    }

    .btn-breadcrumb .btn.btn-white:hover:not(:last-child):before {
        /* border-left: 10px solid #adadad;*/
    }

/** Complete button **/

.complete-step {
    background-color: #C3E98A !important;
    border: 1px solid #12ba0c !important;
    pointer-events: none !important;
    cursor: default !important;
}

    .complete-step i {
        color: #12ba0c !important;
    }

.btn-breadcrumb .btn.complete-step:not(:last-child):after {
    border-left: 10px solid #C3E98A;
}

.btn-breadcrumb .btn.complete-step:not(:last-child):before {
    border-left: 10px solid #12ba0c;
}
